Ugrp::Engine.routes.draw do

  # authenticated :user do
  #  root :to => 'dashboard#index'
  # end

  if Gem.loaded_specs.keys.include?('omniauth')
    devise_for :users, {
      :class_name => '::Ugrp::User',
      :module => :devise,
      :controllers => {
        :registrations => 'ugrp/users/registrations',
        :confirmations => 'ugrp/users/confirmations',
        :sessions => 'ugrp/users/sessions',
        :passwords => 'ugrp/users/passwords',
        :omniauth_callbacks => 'ugrp/users/omniauth_callbacks',
      },
      :path_names => {
        :sign_in =>  'login',
        :sign_out => 'logout',
        :sign_up =>  'register',
      },
    }
  else
    devise_for :users, {
      :class_name => '::Ugrp::User',
      :module => :devise,
      :controllers => {
        :registrations => 'ugrp/users/registrations',
        :confirmations => 'ugrp/users/confirmations',
        :sessions => 'ugrp/users/sessions',
        :passwords => 'ugrp/users/passwords',
        :omniauth_callbacks => 'ugrp/users/omniauth_callbacks',
      },
      :path_names => {
        :sign_in => 'login',
        :sign_out => 'logout',
        :sign_up => 'register',
      },
    }
  end

  # match "/login(/:path)"  => 'application#login', :as => :login
  # match "/logout(/:path)" => 'application#logout', :as => :logout

  # namespace :ugrp do
  resources :users, :only => [:index, :show]
  resources :user_preferences

  resources :domains

  resources :groups
  resources :roles
  resources :permissions

  resources :acl_mappings
  # end

  get 'dashboard' => 'dashboard#index'

  # Monitoring & Metrics
  get 'health' => 'application#health'
  get 'ready' => 'application#ready'
  get 'test_gauge', to: 'prometheus#test_gauge'

  root :to => 'landing_page#index'
end
